%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-themes-standard
Version:	3.6.5
Release:	%mkrel 1
Summary:	Standard themes for GNOME applications

Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://git.gnome.org/browse/gnome-themes-standard
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	settings.ini
Source2:	gtkrc

Obsoletes:	gnome-background-standard < 3.0.0-2
Provides:	gnome-background-standard = %{version}-%{release}

Obsoletes:	gnome-themes < 3.0.0-2
Provides:	gnome-themes = %{version}-%{release}

BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.5.17
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gdk-x11-2.0)
BuildRequires:	pkgconfig(librsvg-2.0)
Requires:	gtk-engines2
Requires:	gnome-icon-theme
Requires:	abattis-cantarell-fonts
Requires:	adwaita-cursor-theme = %{version}-%{release}
Requires:	adwaita-gtk2-theme = %{version}-%{release}
Requires:	adwaita-gtk3-theme = %{version}-%{release}

# just for /usr/bin/gtk-update-icon-cache:
BuildRequires:	gtk+2.0

%description
The gnome-themes-standard package contains the standard theme for the GNOME
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%package -n adwaita-cursor-theme
Summary:	Adwaita cursor theme
Group:		Graphical desktop/GNOME
BuildArch:	noarch

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%package -n adwaita-gtk2-theme
Summary:	Adwaita gtk2 theme
Group:		Graphical desktop/GNOME

%description -n adwaita-gtk2-theme
The adwaita-gtk2-theme package contains a gtk2 theme for presenting widgets
with a GNOME look and feel.

%package -n adwaita-gtk3-theme
Summary:	Adwaita gtk3 theme
Group:		Graphical desktop/GNOME

%description -n adwaita-gtk3-theme
The adwaita-gtk3-theme package contains a gtk3 theme for rendering widgets
with a GNOME look and feel.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

install -Dpm644 %{SOURCE1} %{buildroot}%{_sysconfdir}/gtk-3.0/settings.ini
install -Dpm644 %{SOURCE2} %{buildroot}%{_sysconfdir}/gtk-2.0/gtkrc

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    for t in Adwaita HighContrast; do
        touch --no-create %{_datadir}/icons/$t &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
for t in Adwaita HighContrast; do
  gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%files -f %{name}.lang
%doc NEWS README

# Background and WM
%{_datadir}/themes/Adwaita
%exclude %{_datadir}/themes/Adwaita/gtk-2.0
%exclude %{_datadir}/themes/Adwaita/gtk-3.0

# Background
%{_datadir}/gnome-background-properties/*

# A11y themes
%{_datadir}/icons/HighContrast
%{_datadir}/themes/HighContrast

%files -n adwaita-cursor-theme
# Cursors
%{_datadir}/icons/Adwaita

%files -n adwaita-gtk2-theme
# gtk2 Theme and engine
%{_datadir}/themes/Adwaita/gtk-2.0
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so

# Default gtk2 settings
%{_sysconfdir}/gtk-2.0/gtkrc

%files -n adwaita-gtk3-theme
# gtk3 Theme and engine
%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so
%{_datadir}/themes/Adwaita/gtk-3.0

# Default gtk3 settings
%{_sysconfdir}/gtk-3.0/settings.ini


%changelog

* Tue Feb 19 2013 ovitters <ovitters> 3.6.5-1.mga3
+ Revision: 399442
- new version 3.6.5

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317441
- new version 3.6.2

* Tue Oct 16 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 307044
- update file list
- build gtk2 engine

  + ovitters <ovitters>
    - new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0.2-1.mga3
+ Revision: 297776
- new version 3.6.0.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0.1-1.mga3
+ Revision: 297393
- new version 3.6.0.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297383
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 296045
- update file list
- bump req

  + ovitters <ovitters>
    - new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288077
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90.1-1.mga3
+ Revision: 282884
- new version 3.5.90.1

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282617
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279880
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271494
- new version 3.5.4

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263763
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235694
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231079
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226675
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225355
- fix buildrequires
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219659
- new version 3.3.91

* Sat Feb 25 2012 wally <wally> 3.3.90.1-2.mga2
+ Revision: 214328
- rebuild due to a missing i586 pkgs

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90.1-1.mga2
+ Revision: 212010
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5.1-1.mga2
+ Revision: 206523
- new version

* Tue Feb 07 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205805
- new version 3.3.5

* Wed Jan 18 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197721
- new version

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184478
- new version 3.3.3

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170645
- new version 3.3.2
- bump gtk3 dep

* Fri Oct 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159247
- new version 3.3.1
- bump gtk3 dep

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156063
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0.2-1.mga2
+ Revision: 149900
- new version 3.2.0.2

* Tue Sep 27 2011 fwang <fwang> 3.2.0.1-1.mga2
+ Revision: 149492
- new version 3.2.0.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148775
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145517
- new version 3.1.92

* Wed Sep 07 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 140116
- new release

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136455
- new version 3.1.90

  + wally <wally>
    - new verion 3.1.5
    - fix groups
    - new version 3.1.4
    - clean BRs and use pkgconfig style if possible

  + dmorgan <dmorgan>
    - Sync gtkrc theme with settings.ini
    - Fix default theme
    - Fix icon theme

* Wed Jul 06 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 119235
- new version 3.1.3
- fix exclude in files section
- clean .spec a bit

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.2.1-1.mga2
+ Revision: 118833
- New version 3.1.2.1

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 107891
- Fix conflicts with gnome-theme

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 102389
- Fix buildrequires
- Fix buildrequires
- imported package gnome-themes-standard

